
Foreman - Bug #2707

host save fails for non-admin if host has a BMC interface

06/25/2013 11:01 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This bug was introduced by commit https://github.com/theforeman/foreman/commit/eaa6aec0023de21f0565b33e98f4c68990c0c2e2

that was the work-around for the rails bug that caused BMC passwords not to save

Associated revisions

Revision 5a56d4d3 - 07/01/2013 03:28 AM - Joseph Magen

fixes #2707 - host save fails for non-admin if host has a BMC interface

Revision 3e669340 - 07/01/2013 04:01 AM - Joseph Magen

fixes #2707 - host save fails for non-admin if host has a BMC interface

(cherry picked from commit 5a56d4d36f6bee4e75ca4a496512b406fb55ae1a)

History

#1 - 06/30/2013 09:57 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/745

#2 - 07/01/2013 04:17 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5a56d4d36f6bee4e75ca4a496512b406fb55ae1a.
